require "yaml"

module Totvs
  module PasswordVault
    class Translator
      ACTION_CODES = YAML.load_file(
        File.join(File.expand_path("../../../..", __FILE__), "config", "password_vault.yml")).freeze

      def translate_field(group, key)
        ACTION_CODES["fields"][group][key]
      end

      def field_key(group, name)
        ACTION_CODES["fields"][group].key(name)
      end

      def translate_group(name)
        ACTION_CODES["groups"][name]
      end
    end
  end
end
